Ground-Truthing GUI 1.0

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AddIconPicture Class Reference

Adds an icon at the top-left corner of a rectangle. More...

`#include <addiconpicture.h>`

## Public Member Functions
| AddIconPicture (QGraphicsScene *scene_1, RectangleDraw *rectangle)
| The constructor of the AddIconPicture class. More...
virtual QGraphicsPixmapItem * | getItem () const
| Return the little item which is associated to a rectangle when it is annotated. More...

## Detailed Description

Adds an icon at the top-left corner of a rectangle.

When the user has annotated a rectangle, this class adds an icon at the top-left corner of the latter. It will allow the user to know which rectangles has already been annotated or not.

Author

Author
  David Carmona-Moreno

Version

Revision
  1.0

Date

Date
  2016/01/11 14:00:00

Bug:
  Not known bugs

Contacts: nikol.nosp@m.aos..nosp@m.arvan.nosp@m.itop.nosp@m.oulos.nosp@m.@epf.nosp@m.l.ch and david.nosp@m..car.nosp@m.mona-.nosp@m.more.nosp@m.no@ep.nosp@m.fl.c.nosp@m.h

Created on: Mon Jan 12 14:00:00 2016

## Constructor & Destructor Documentation

AddIconPicture::AddIconPicture | ( | QGraphicsScene * | scene_1,
|  | RectangleDraw * | rectangle
| ) |  |
| inline

The constructor of the AddIconPicture class.

Parameters

  scene | The application QGraphicsScene
  rectangle | A rectangle drawn by the user

## Member Function Documentation

QGraphicsPixmapItem * AddIconPicture::getItem | ( |  | ) | const
| virtual

Return the little item which is associated to a rectangle when it is annotated.

Returns
  The item associated to the annotated rectangle.

The documentation for this class was generated from the following files:

- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/addiconpicture.h
- /media/david/4A52443C52442F4F/Users/David/Desktop/Projet EPFL/Ground_Truthing_20_10_2015/addiconpicture.cpp